Name:		gtk-themes
Version:	1.1
Release:	1
Copyright:	GPL
Summary:	Themes for GTK
Group:		Graphical desktop/Other
Packager: 	linuxkid <linux@peanutlinux.org>
Source0:	gtk-themes.tar.bz2
Source1:	gtk-themes-kde-descriptions.tar.bz2
Patch0:		BlueIce.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libgtk+1.2 >= 1.2.10 gtk-engines >= 0.13
URL:		http://gtk.themes.org/

%description
This package contains some nice themes for GTK

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/
cd $RPM_BUILD_ROOT%{_datadir}/themes/
bzcat %{SOURCE0} | tar xv
# patch to fix BlueIce theme
patch -p0 <%{PATCH0}

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,-)
%_datadir/themes/*
#%_datadir/apps/kstyle/themes/*
